package org.diagbot.common.javabean;

import lombok.Getter;
import lombok.Setter;

/**
 * 触发规则
 * @author Mark Huang
 * @since 27/08/2019
 */
@Getter
@Setter
public class Rule {
    // 大类名称
    private String set_name;
    // 小类名称
    private String idx_name;
    // 大类名称是否参与比较 1-参与
    private String set_status;
    // 最小值
    private String min_value;
    // 最小值对应的标准文本
    private String min_concept_text;
    // 最大值
    private String max_value;
    // 最小值对应的标准文本
    private String max_concept_text;
    // 标准值 用作等于
    private String set_value;
    //转后标准术语
    private String set_concept_text;
    // 单位
    private String unit;
    //危机标识 用作危机值提醒
    private String type_value;
    //提醒信息
    private String minRemind;
    //提醒信息
    private String maxRemind;
    //提醒信息
    private String setRemind;

    public String getSet_name() {
        return set_name;
    }

    public void setSet_name(String set_name) {
        this.set_name = set_name;
    }

    public String getIdx_name() {
        return idx_name;
    }

    public void setIdx_name(String idx_name) {
        this.idx_name = idx_name;
    }

    public String getSet_status() {
        return set_status;
    }

    public void setSet_status(String set_status) {
        this.set_status = set_status;
    }

    public String getMin_value() {
        return min_value;
    }

    public void setMin_value(String min_value) {
        this.min_value = min_value;
    }

    public String getMin_concept_text() {
        return min_concept_text;
    }

    public void setMin_concept_text(String min_concept_text) {
        this.min_concept_text = min_concept_text;
    }

    public String getMax_value() {
        return max_value;
    }

    public void setMax_value(String max_value) {
        this.max_value = max_value;
    }

    public String getMax_concept_text() {
        return max_concept_text;
    }

    public void setMax_concept_text(String max_concept_text) {
        this.max_concept_text = max_concept_text;
    }

    public String getSet_value() {
        return set_value;
    }

    public void setSet_value(String set_value) {
        this.set_value = set_value;
    }

    public String getSet_concept_text() {
        return set_concept_text;
    }

    public void setSet_concept_text(String set_concept_text) {
        this.set_concept_text = set_concept_text;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getType_value() {
        return type_value;
    }

    public void setType_value(String type_value) {
        this.type_value = type_value;
    }

    public String getMinRemind() {
        return minRemind;
    }

    public void setMinRemind(String minRemind) {
        this.minRemind = minRemind;
    }

    public String getMaxRemind() {
        return maxRemind;
    }

    public void setMaxRemind(String maxRemind) {
        this.maxRemind = maxRemind;
    }

    public String getSetRemind() {
        return setRemind;
    }

    public void setSetRemind(String setRemind) {
        this.setRemind = setRemind;
    }
}
